def sums(lst):
  '''(list of list of int) -> list of int
  Return a new list that contains the sum of each column
  in lst. All sublists are of the same length.
  
  >>> sums([[5, 10, 15], [1, 2, 3]]
  [6, 12, 18]
  '''
  ans = []
  for column in range(len(lst[0])):
    sum = 0
    for row in range(len(lst)):
      sum += lst[row][column]
    ans.append(sum)
  return ans
  