def get_puzzle():
    '''() -> str

    Return a randomly chosen line from the file named pf.DATA_FILE.
    '''

    data_file = open(pf.DATA_FILE)

    phrases = []
    for line in data_file:
        phrases.append(line.strip())

    data_file.close()
    return phrases[random.randint(0, len(phrases) - 1)]


def get_computer_guess(view):
    '''(str) -> str

    Return a line from the file named pf.DATA_FILE that contains string that
    could be represented by view, or, if no such line exists, the empty
    string.

    This function and get_player_guess must have the same type contract.
    '''

    data_file = open(pf.DATA_FILE)
    for line in data_file:
        if pf.is_match(line.strip(), view):
            return line.strip()

    return ''

