HIDDEN = '^'

def merge_views(view1, view2):
    ''' (str, str) -> str
    
    view1 and view2 are views of the same puzzle. Some of the alphabetic
    characters may be revealed and some may be hidden (that is, replaced
    by HIDDEN). Return a view of the puzzle where the revealed characters are 
    those that are revealed in at least one of view1 and view2.    
    
    >>> merge_views('^^^l^', 'a^^^e')
    'a^^le'
    >>> merge_views('^ppl^', '^pp^e')
    '^pple'
    '''
