# I changed the name of the current_word variable
# so that now it is named context.


def make_dictionary(f):
  '''(file) -> dict
  Return lazy literature dictionary from f.
  '''

  d = {}
  context = ''
  for line in f:
    lst = line.split()
    for word in lst:
      if context not in d:
        d[context] = [word]
      else:
        d[context].append(word)
      context = word
  return d
