def make_dictionary(f):
  '''(file) -> dict
  Return lazy literature dictionary from f.
  '''

  d = {}
  context = ''
  for line in f:
    lst = line.split()
    for word in lst:
      if context not in d:
        d[context] = [word]
      else:
        d[context].append(word)
      context = word
  return d

def mimic_text(word_dict, num_words):
  '''(dict of {str:list of str}, int) -> str
  Based on the word patterns in word_dict, return a string that mimics
  that text, and has num_words words.    
  '''
    
  # write code here



# Read a text and remember the words and what comes after them in a dict
f = open(input("Training text: "))
d = make_dictionary(f)
# use 5 for zelda.txt
# make the number 5 bigger for alice.txt
print(mimic_text(d, 5))
