def indices(big, small):
  '''(str, str) -> list of int
  Return the indices of big at which 
  non-overlapping copies of small start.
  
  >>> indices('A Coool pool look', 'oo')
  [3, 9, 14]
  '''
  index = 0
  indices = []
  while index != -1:
    indices.append(big.find(small, index))
    index = big.find(small, index + len(small))
  return indices
