from functools import *

@total_ordering
class Account(object):

  def __init__(self, val):
    '''(int) -> Account
    
    Create bank account with val gold.
    '''
    self.gold = val
    
  def __lt__(self, other):
    return isinstance(other, Account) and self.gold < other.gold
  
  def __eq__(self, other):
    return isinstance(other, Account) and self.gold == other.gold
      
  def __ne__(self, other):
    return not self.__eq__(other)
    