class Ship(object):

  '''Enemy ships.'''
  
  def __init__(self, hitpoints):
    '''(int) -> Ship
    Create a Ship with given hitpoints at centre location.
    '''
    self.hitpoints = hitpoints
    self.location = 0
    
  def move_left(self):
    '''() -> NoneType
    Move Ship left.
      '''
    self.location -= 1
      
  def move_right(self):
    '''() -> NoneType
    Move Ship right.
      '''
    self.location += 1
      
  def get_hit(self, amount):
    '''(int) -> NoneType
    Get hit with an attack of amount.
    '''
    self.hitpoints -= amount
