import unittest
from vowels import num_vowels, any_vowels

class Test_num_vowels(unittest.TestCase):
  
  def test_empty_string(self):
    self.assertEqual(num_vowels(''), 0,
      'empty string')
      
  def test_one_vowel(self):
    self.assertEqual(num_vowels('e'), 1,
      'string of one vowel')

class Test_any_vowels(unittest.TestCase):
  
  def test_empty_string(self):
    self.assertFalse(any_vowels(''),
      'empty string')
      
  def test_one_vowel(self):
    self.assertTrue(any_vowels('e'),
      'string of one vowel')

unittest.main(exit=False)
