def invert(d):
  '''(dict) -> dict

  Return the inverted version of d.
  '''
  inv = {}
  for k in d:
    v = d[k]
    if v in inv: # 'in inv' means 'in inv.keys()'
      inv[v].append(k)
    else:
      inv[v] = [k]
  return inv
  