def max_segment_sum(L):
  '''(list of int) -> int
  Return maximum segment sum of L.
  '''
  max_so_far = 0
  for lower in range(len(L)):
    sum = 0
    for upper in range(lower, len(L)):
      sum = sum + L[upper]
      max_so_far = max(max_so_far, sum)
  return max_so_far
