def count_chars(s, L):
  '''(str, list of str) -> int
  L is a list of unique one-character strings.
  Return a dictionary whose keys are the characters in L
  and whose values are the frequencies, in s, 
  of each character. If the character does not appear
  in s, its frequency will be 0.
  '''
  freq_dict = {}
  for c in s:
    freq_dict[c] = 0
        
  for c in s:
    if c in freq_dict:
      freq_dict[c] += 1

  return freq_dict
