def insert(L, i):
  '''(list, int) -> NoneType
  Move L[i] to where it belongs in L[:i].
  '''
  v = L[i]
  while i > 0 and L[i - 1] > v:
    L[i] = L[i - 1]
    i -= 1
  L[i] = v

def insertion_sort(L):
  '''(list) -> NoneType
  Sort the elements of L in non-descending order.
  '''
  for i in range(1, len(L)):
    insert(L, i)
