def find (lst, value):
  '''(list, value) -> int
  Return the first occurrence of value in lst.
  If lst is not found, return -1.
  
  >>> find([20, 40, 60], 40)
  1
  '''
  i = 0
  while i < len(lst):
    if lst[i] == value:
      return i
    i += 1
  return -1


# could also do


def find(lst, value):
  i = 0
  while i < len(lst) and lst[i] != value:
    i += 1
  if i < len(lst):
    return i
  else:
    return -1


# the students and groups question
def is_ok(group_list, class_list):
  '''(list of list of int, list of int) -> bool
  Return True iff every student in class_list is in exactly
  one group according to group_list.
  
  >>> is_ok([[1, 3, 4], [2]], [1, 2, 3, 4])
  True
  '''

  for student in class_list:
    num_groups = 0
    for group in group_list:
      if student in group:
        num_groups += 1
    if num_groups != 1:
      return False
  return True

 