def is_ok(group_list, class_list):
  '''(list of list of int, list of int) -> bool
  Return True iff every student in class_list is in exactly
  one group according to group_list.
  
  >>> is_ok([[1, 3, 4], [2]], [1, 2, 3, 4])
  True
  '''
  for student in class_list:
    num_groups = 0
    for group in group_list:
      if student in group:
        num_groups += 1
    if num_groups != 1:
      return False
  return True
      