def indices(big, small):
  '''(str, str) -> list of int
  Return the indices of big at which 
  non-overlapping copies of small start. small is non-empty.
  
  >>> indices('A Coool pool look', 'oo')
  [3, 9, 14]
  '''

  indices = []
  index = big.find(small)
  while index != -1:
    indices.append(index)
    index = big.find(small, index + len(small))
  return indices
  