def insert_after(L, n1, n2):
  '''(list of int, int, int) -> NoneType
  Insert n2 after each occurrence of n1 in L.
  '''
  i = 0
  while i < len(L):
    if L[i] == n1:
      L.insert(i+1, n2)
      i += 1
    i += 1
    
def insert_after2(L, n1, n2):
  '''(list of int, int, int) -> list of int
  Return a new list consisting of all elements from L,
  plus a copy of n2 after each occurrence of n1.  
  
  >>> insert_after2([3, 4, 5], 3, 10)
  [3, 10, 4, 5]
  '''
  new_L = []
  for element in L:
    new_L.append(element)
    if element == n1:
      new_L.append(n2)
  return new_L
  