def average_grade(grade_list):
  ''' (list of [str, int], list) -> float
  Return the average grade for all the students in grade_list where the inner
  lists contain a student ID and a grade.
  >>> average_grade([['111', 40], ['222', 100]])
  70.0
  '''
  
  total = 0
  for sublist in grade_list:
    total += sublist[1]
  return total / len(grade_list)
