def average_grade(grade_list):
  ''' (list of [str, int], list) -> float
  Return the average grade for all the students in grade_list where the inner
  lists contain a student ID and a grade.
  >>> average_grade([['998765',70],['111234', 90],['444567', 83]])
  81.0
  '''
  total = 0
  for item in grade_list:        
    total += item[1]
  return total / len(grade_list)


def student_ids(grade_list):
  ''' (list of [str, int], list) -> list of str
  Return the student IDs for all the students in grade_list where the inner
  lists contain a student ID and a grade.
    
  >>> student_ids([['998765',70],['111234', 90],['444567', 83]])
  ['998765', '111234', '444567']
  '''
  id_list = []
  for student in grade_list:
    id_list.append(student[0])
  return id_list
