class Account(object):

  def __init__(self):
    '''() -> Account
    
    Create bank account with 0 gold.
    '''
    self.gold = 1000
    
  def add_gold(self, amount):
    '''(int) -> NoneType
    
    Add amount gold to Account.
    '''
    self.gold += amount
        
  def zero_gold(self):
    '''() -> NoneType
    
    Make the Account have 0 gold.
    '''
    self.gold = 0
    
  def double_gold(self):
    '''() -> NoneType
    
    Double the gold in the Account.
    '''
    self.gold *= 2
    
  def __str__(self):
    return 'You have ' + str(self.gold) + ' gold!'

