from ship import Ship

class InvisibleShip(Ship):

  '''Invisible enemy ships.'''
  
  def __init__(self, hitpoints):
    '''(int) -> InvisibleShip
    Create an InvisibleShip with given hitpoints at centre location.
    '''
    Ship.__init__(self, hitpoints)

  def get_hit(self, amount):
    '''(int) -> NoneType
    Get hit with an attack of amount.
    '''
    pass # no damage taken
    