import unittest
# another way to import
# this one causes the module to be named md
# instead of merge_dict

import merge_dict as md

# Two example tests


class Test_merge_dict(unittest.TestCase):

  def test_d2_empty(self):
    d1 = {5:3, 4:2}
    d2 = {}
    d2_copy = {}
    expected_d1 = {5:3, 4:2}
    self.assertEqual(md.merge_dict(d1, d2), None,
                     'None not returned')
    self.assertEqual(d1, expected_d1,
                     'd2 empty')
    self.assertEqual(d2, d2_copy,
                     'd2 was modified')
        
  def test_all_combos(self):
    d1 = {5:3, 4:2}
    d2 = {4:7, 6:3}
    d2_copy = {4:7, 6:3}
    expected_d1 = {4:9, 5:3, 6:3}
    self.assertEqual(md.merge_dict(d1, d2), None,
                     'None not returned')
    self.assertEqual(d1, expected_d1,
                     'all combos')
    self.assertEqual(d2, d2_copy,
                     'd2 was modified')


unittest.main(exit=False)
