def max_segment_sum(L):
  '''(list of int) -> int
  Return maximum segment sum of L.
  '''
  max_so_far = 0
  max_ending_here = 0
  for i in range(len(L)):
    max_ending_here = max(max_ending_here + L[i], 0)
    max_so_far = max(max_so_far, max_ending_here)
  return max_so_far
