def find_min(L, i):
  '''(list, int) -> int
  Return the index of the smallest item in L[i:].
  '''
  smallest_index = i
  for j in range(i + 1, len(L)):
      if L[j] < L[smallest_index]:
        smallest_index = j
  return smallest_index

def selection_sort(L):
  '''(list) -> NoneType
  Sort the elements of L in non-descending order.
  '''
  for i in range(len(L) - 1):
    smallest_index = find_min(L, i)
    L[smallest_index], L[i] = L[i], L[smallest_index]
